<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100146";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
			////Arrastrando el documento digitado
			$DocuREn=$_GET['txt_DOC'] or $DocuREn=$_POST['txt_DOC'];
			
			////Identificar datos del documento
			$sqlDD = mysql_query("select ESTADO_DOCUMENTO from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$DocuREn'");
			if (mysql_numrows($sqlDD)==0) 
			{
				echo "<script>alert('El Documento digitado no existe.\\nFavor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{
			$registroDD=mysql_fetch_array($sqlDD);
			}
			if (mysql_numrows($sqlDD)>0)
			{///Inicia If estado de Documento
			$EdoDocDD=$registroDD["ESTADO_DOCUMENTO"];
			} ///Termina IF estado de Documento
			
			if ($EdoDocDD<>"ASOCIADO")
			{///Inicia If estado de Documento 2
				echo "<script>alert('El Estado del Documento de Recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{
				
			////Identificar el estado del documento en la auditoria
			$sqlIEA = mysql_query("select * from tabla_auditoriarecibo WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$DocuREn'");
			if (mysql_numrows($sqlIEA)==0) { $EstaIEA="ABIERTA"; }
			else{
			$registroIEA=mysql_fetch_array($sqlIEA);
			}
			if (mysql_numrows($sqlIEA)>0)
			{///Inicia IF Estado de Tarea de Auditoria de Recibo
			$EstaIEA=$registroIEA["ESTATUS"];
			} ///Termina IF Estado de Tarea de Auditoria de Recibo
			
			if ($EstaIEA<>"ABIERTA")
			{
				echo "<script>alert('Atención:\\n\\nLa Auditoria de recibo ha sido bloqueada y/o terminada por un usuario en sesión, verifica si la instrución es correcta o en su defecto solicita ayuda del Administrador del sistema para reactivarla nuevamente.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{///Inicia IF Estado de Tarea de Auditoria de Recibo 2

////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
	  <!-- Inicia Cuerpo de la Pantalla -->
		<?PHP
			////Arrastrando el documento digitado
			$SkuEnn=$_GET['txt_SKU'] or $SkuEn=$_POST['txt_SKU'];
			$PzasEn=$_GET['txt_PZAS'] or $PzasEn=$_POST['txt_PZAS'];
			$LoteEn=$_GET['txt_LOT'] or $LoteEn=$_POST['txt_LOT'];
			$FCadEn=$_GET['txt_CAD'] or $FCadEn=$_POST['txt_CAD'];
			
			////Validar campos en blanco
		 	 if ($SkuEn=="")
				{
					echo "<script>alert('Favor de escanear el Sku y/o Upc a Auditar.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_DOC=$DocuREn'>";
				}
				else
				{
			if ($PzasEn=="")
				{
					echo "<script>alert('Favor de digitar la cantidad piezas Auditadas.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_DOC=$DocuREn'>";
				}
				else
				{
			if ($FCadEn=="")
				{
					echo "<script>alert('Favor de digitar la Fecha de Caducidad del Producto');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_DOC=$DocuREn'>";
				}
				else
				{
					////Identificar si el SKU y/o UPC pertenece al documento de Recibo///////
					$sql_DC = mysql_query("select SKU from tabla_alta_producto_upc WHERE CVE_CUENTA='$CveCueCR1' AND UPC='$SkuEn'");
					if (mysql_numrows($sql_DC)==0) 
					{
						$Sku_Det = $SkuEn;
					}
					else
					{
					$registro_DC=mysql_fetch_array($sql_DC);
					}
					if (mysql_numrows($sql_DC)>0)
					{
						$Sku_Det=$registro_DC["SKU"];
					}
					
					$sql_ID = mysql_query("select * from tabla_detalledocumentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$DocuREn' AND SKU='$Sku_Det'");
					if (mysql_numrows($sql_ID)==0) 
					{
						echo "<script>alert('El Sku y/o Upc escaneado no pertenece al documento seleccionado.\\nFavor de corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_DOC=$DocuREn'>";
					}
					else
					{///Inicia Else Sku 1
						
						///Dar Formato a Fecha de Caducidad
						$CadAno = substr($FCadEn, -10, 4);    // devuelve el año
						$CadMes = substr($FCadEn, -5, 2);    // devuelve el mes
						$CadDia = substr($FCadEn, -2, 2);    // devuelve el día
						$CadFormateada = $CadAno."/".$CadMes."/".$CadDia;
					
						///Guarda el Registro en la tabla: tabla_auditoriarecibo
						$sqlIICA = "select max(ID) as ultimo_FOLIOIICA  from tabla_auditoriarecibo"; 
						$libIICA  = mysql_query($sqlIICA); 
						$rs_libIICA  = mysql_fetch_assoc($libIICA); 
						$id_nuevoIICA  = $rs_libIICA ['ultimo_FOLIOIICA'] + 1;
						
						/////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
					
						$sqlIICA = "insert into tabla_auditoriarecibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,LOTE,CADUCIDAD,PZAS,HORA,FECHA,USUARIO,ESTATUS)
       					values('$id_nuevoIICA','$CveBodCR1','$CveCueCR1','$DocuREn','$Sku_Det','$LoteEn','$CadFormateada','$PzasEn','$HoraOK','$Fecha','$UsuEn','ABIERTA')";

						$resultadoIICA=mysql_query($sqlIICA,$conexion) or die(mysql_error());
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=17-AuditoriaReciboConsolida_Caducidad2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_DOC=$DocuREn'>";
					
					} ///Termina Else Sku 1
				}
				}
				}
		?>
      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Estado de Documento 2
} ///Termina IF Estado de Documento
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
